### Function

# GObject param_type_register_static

#### Declaration

    GType
    g_param_type_register_static (
      const gchar* name,
      const GParamSpecTypeInfo* pspec_info
    )

#### Description

Registers `name` as the name of a new static type derived from `G_TYPE_PARAM`.

The type system uses the information contained in the `GParamSpecTypeInfo` structure pointed to by `info` to manage the `GParamSpec` type and its instances.

#### Parameters

`name`

  Type: `const gchar*`

  0-terminated string used as the name of the new `GParamSpec` type.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`pspec_info`

  Type: `GParamSpecTypeInfo`

  The `GParamSpecTypeInfo` for this `GParamSpec` type.

  The data is owned by the caller of the function.

#### Return value

Type: `GType`

The new type identifier.